libfuse

Data Fields
fuse_context Struct Reference

`#include <fuse.h>`

## Data Fields
struct fuse * | fuse
uid_t | uid
gid_t | gid
pid_t | pid
void * | private_data
mode_t | umask

## Detailed Description

Extra context that may be needed by some filesystems

The uid, gid and pid fields are not filled in case of a writepage operation.

Definition at line 860 of file fuse.h.

## Field Documentation

## ◆ fuse

struct fuse * fuse_context::fuse

Pointer to the fuse object

Definition at line 862 of file fuse.h.

## ◆ gid

gid_t fuse_context::gid

Group ID of the calling process

Definition at line 868 of file fuse.h.

## ◆ pid

pid_t fuse_context::pid

Process ID of the calling thread

Definition at line 871 of file fuse.h.

## ◆ private_data

void * fuse_context::private_data

Private filesystem data

Definition at line 874 of file fuse.h.

## ◆ uid

uid_t fuse_context::uid

User ID of the calling process

Definition at line 865 of file fuse.h.

## ◆ umask

mode_t fuse_context::umask

Umask of the calling process

Definition at line 877 of file fuse.h.

The documentation for this struct was generated from the following files:

- fuse-3.17.1-rc0/include/fuse.h
- include/fuse.h